#!/usr/bin/env python
# -*- coding: iso-8859-2 -*-

import pygame
import sys
import config
import os
import glob
import zavody
import nacitac

pygame.init()
pygame.font.init()

MENU_HLAVNI = 0
MENU_SINGLE = 1
MENU_MULTI = 2
MENU_OPTIONS = 3
MENU_SCORE = 4
MENU_CREDITS = 5
MENU_EXIT = 6
MENU_AUTO = 7
MENU_TRACK = 8
MENU_AUTOMULTI = 9
MENU_TRACKMULTI = 10

FONT = {
    20: pygame.font.Font(None, 20),
    30: pygame.font.Font(None, 30),
}

images = nacitac.Nacitac()

def menufull():
    
    global screen

    if config.full == 0:
        screen = pygame.display.set_mode((800, 600))
    elif config.full == 1:
        screen = pygame.display.set_mode((800, 600), pygame.FULLSCREEN)

def obr():

    global singl
    global multi
    global options
    global scores
    global credits
    global exit

    singl = images.loadImage("./images/menu/one.png")
    multi = images.loadImage("./images/menu/multi.png")
    options = images.loadImage("./images/menu/options.png")
    scores = images.loadImage("./images/menu/score.png")
    credits = images.loadImage("./images/menu/credits.png")
    exit = images.loadImage("./images/menu/exit.png")

def kreslimenu(pressed):

    global pocitadlo
    global singl
    global multi
    global options
    global scores
    global credits
    global exit
    global select

    if 175 >= soumys[0] >= 5 and 245 >= soumys[1] >= 205:
        singl = images.loadImage("./images/menu/one1.png")
        if pressed:
            pocitadlo = 0
            select = MENU_SINGLE
    if 175 >= soumys[0] >= 5 and 310 >= soumys[1] >= 270:
        multi = images.loadImage("./images/menu/multi1.png")
        if pressed:
            pocitadlo = 0
            select = MENU_MULTI
    if 175 >= soumys[0] >= 5 and 375 >= soumys[1] >= 335:
        options = images.loadImage("./images/menu/options1.png")
        if pressed:
            pocitadlo = 0
            select = MENU_OPTIONS
    if 175 >= soumys[0] >= 5 and 440 >= soumys[1] >= 400:
        scores = images.loadImage("./images/menu/score1.png")
        if pressed:
            pocitadlo = 0
            select = MENU_SCORE
    if 175 >= soumys[0] >= 5 and 505 >= soumys[1] >= 465:
        credits = images.loadImage("./images/menu/credits1.png")
        if pressed:
            pocitadlo = 0
            select = MENU_CREDITS
    if 175 >= soumys[0] >= 5 and 570 >= soumys[1] >= 530:
        exit = images.loadImage("./images/menu/exit1.png")
        if pressed:
            pocitadlo = 0
            select = MENU_EXIT
    
    screen.blit(menu1_obr, (0, 0))
    screen.blit(singl, (5, 205))
    screen.blit(multi, (5, 270))
    screen.blit(options, (5, 335))
    screen.blit(scores, (5, 400))
    screen.blit(credits, (5, 465))
    screen.blit(exit, (5, 530))
    
    nadpis = 'Wrong Way version 0.2.6'
    barva = (250, 250, 0)
    text1 = FONT[20].render(nadpis, 1, barva)
    screen.blit(text1, (645, 580))

    if pocitadlo >= 300:
        select = MENU_HLAVNI 
        pocitadlo = 0
        
def hlavni(pressed):
    menu2_obr = images.loadImage("./images/menu/menu2.png")
    screen.blit(menu2_obr, (180, 180))

def new(pressed):
    
    global select
    global pocitadlo

    timetrial = images.loadImage("./images/menu/timetrial.png")

    if 490 >= soumys[0] >= 320 and 310 >= soumys[1] >= 270:
        timetrial = images.loadImage("./images/menu/timetrial1.png")
        if pressed:
            pocitadlo = -10
            select = MENU_TRACK
            
    screen.blit(timetrial, (320, 270))

def track(pressed, dalsi, doleva, doprava):
    
    global select
    global pocitadlo
    global ukazmenu
    global cislotrate

    ukazmenu = 0

    trate = glob.glob("mapsinfo/*.map")
    pocettrati = len(trate)
    trate.sort()

    soubor = open(trate[cislotrate] ,"r")
    config.besttime = soubor.readline().strip()
    config.bestpl = soubor.readline().strip()
    config.bestcar = soubor.readline().strip()
    name = soubor.readline().strip()
    small = soubor.readline().strip()
    delka = soubor.readline().strip()
    map1 = soubor.readline().strip()
    map2 = soubor.readline().strip()
    map3 = soubor.readline().strip()
    p1x = soubor.readline().strip()
    p1y = soubor.readline().strip()
    p2x = soubor.readline().strip()
    p2y = soubor.readline().strip()
    pocetkol = soubor.readline().strip()

    config.okruhy = int(pocetkol) 

    sekundy = int(config.besttime) // 10 % 60
    if sekundy <= 9:
        sekundy = "0" + str(sekundy)

    text3 = unicode(str(config.bestpl) + " [ " + config.bestcar + " ]    "+  str(int(config.besttime) / 600) + ":" + str(sekundy) + "." + str(int(config.besttime) % 10), 'iso8859-2')            
    barva = (250, 250, 0)
    best = FONT[30].render(text3, 1, barva)

    nadpis = unicode(name, 'iso8859-2')
    barva = (250, 250, 0)
    trackname = FONT[30].render(nadpis, 1, barva)

    text = unicode(delka, 'iso8859-2')
    barva = (250, 250, 0)
    lenght = FONT[30].render(text, 1, barva)

    text2 = unicode(str(config.okruhy), 'iso8859-2')
    barva = (250, 250, 0)
    laps = FONT[30].render(text2, 1, barva)

    selecttrack = images.loadImage("./images/menu/selecttrack.png")
    smallobr = images.loadImage(small)

    next = images.loadImage("./images/menu/next.png")
    back = images.loadImage("./images/menu/back.png")
    
    lapsb = images.loadImage("./images/menu/laps.png")
    lenghtb = images.loadImage("./images/menu/lenght.png")
    bestof = images.loadImage("./images/menu/besttime.png")

    left = images.loadImage("./images/menu/arrowleft.png")
    right = images.loadImage("./images/menu/arrowright.png")

    dolni = pygame.transform.scale(images.loadImage(map2), (480, 360))
    horni = pygame.transform.scale(images.loadImage(map3), (480, 360))

    if dalsi or 800 >= soumys[0] >= 630 and 600 >= soumys[1] >= 560:
        next = images.loadImage("./images/menu/next1.png")
        if dalsi or pressed:
            config.trackFile = trate[cislotrate]
            config.map1 = map1
            config.map2 = map2
            config.map3 = map3
            config.p1x = int(p1x)
            config.p1y = int(p1y)
            config.p2x = int(p2x)
            config.p2y = int(p2y)
            select = MENU_AUTO

    if 170 >= soumys[0] >= 0 and 600 >= soumys[1] >= 560:
        back = images.loadImage("./images/menu/back1.png")
        if pressed:
            pocitadlo = 0
            select = MENU_SINGLE

    if doleva or (260 >= soumys[0] >= 220 and 580 >= soumys[1] >= 540):
        left = images.loadImage("./images/menu/arrowleft1.png")
        if doleva or pressed:
            cislotrate -= 1
            if cislotrate == -1:
                cislotrate = pocettrati - 1
    if doprava or (620 >= soumys[0] >= 580 and 580 >= soumys[1] >= 540):
        right = images.loadImage("./images/menu/arrowright1.png")
        if doprava or pressed:
            cislotrate += 1
            if cislotrate == pocettrati:
                cislotrate = 0    

    screen.blit(selecttrack, (130, 10))
    screen.blit(smallobr, (550, 160))

    screen.blit(next, (630, 560))
    screen.blit(back, (0, 560))

    screen.blit(lapsb, (500, 330))
    screen.blit(lenghtb, (490, 400))
    screen.blit(bestof, (50, 480))

    screen.blit(left, (220, 540))
    screen.blit(right, (580, 540))

    screen.blit(dolni, (20, 100))
    screen.blit(horni, (20, 100))

    screen.blit(best, (220, 487))
    screen.blit(trackname, (420 - FONT[30].size(nadpis)[0] / 2, 550))
    screen.blit(laps, (660 - FONT[30].size(text2)[0] / 2, 335))
    screen.blit(lenght, (670 - FONT[30].size(text)[0] / 2, 405))
    
def car(pressed, dalsi, doleva, doprava):
    
    global select
    global pocitadlo
    global ukazmenu
    global uhel
    global cisloauta

    ukazmenu = 0

    auta = glob.glob("carsinfo/*.car")
    pocetaut = len(auta)
    auta.sort()

    soubor = open(auta[cisloauta] ,"r")
    name = soubor.readline().strip()
    small = soubor.readline().strip()
    big = soubor.readline().strip()
    stin = soubor.readline().strip()
    

    uhel += 3

    nadpis = unicode(name, 'iso8859-2') 
    barva = (250, 250, 0)
    carname = FONT[30].render(nadpis, 1, barva)

    selectcar = images.loadImage("./images/menu/selectcar.png")
    smallcar = images.loadImage(small)
    bigcar = images.loadImage(big)
    fog = images.loadImage("./images/menu/fog.png")

    next = images.loadImage("./images/menu/go.png")
    back = images.loadImage("./images/menu/back.png")

    left = images.loadImage("./images/menu/arrowleft.png")
    right = images.loadImage("./images/menu/arrowright.png")

    if dalsi or 800 >= soumys[0] >= 630 and 600 >= soumys[1] >= 560:
        next = images.loadImage("./images/menu/go1.png")
        if dalsi or pressed:
            config.players = 1
            config.pl1car = small
            config.pl1stin = stin
            config.car = name
            pygame.mixer.stop()
            zavody.start()
            config.konec = 0
            config.zavkonec = 1
            config.time = 0
            select = MENU_HLAVNI
            pygame.mixer.music.load("./music/menu.ogg")
            if config.zvuky == 1:
                pygame.mixer.music.play(-1)
            menufull()

    if 170 >= soumys[0] >= 0 and 600 >= soumys[1] >= 560:
        back = images.loadImage("./images/menu/back1.png")
        if pressed:
            pocitadlo = 0
            select = MENU_TRACK

    if doleva or (260 >= soumys[0] >= 220 and 580 >= soumys[1] >= 540):
        left = images.loadImage("./images/menu/arrowleft1.png")
        if doleva or pressed:
            cisloauta -= 1
            if cisloauta == -1:
                cisloauta = pocetaut - 1
    if doprava or (620 >= soumys[0] >= 580 and 580 >= soumys[1] >= 540):
        right = images.loadImage("./images/menu/arrowright1.png")
        if doprava or pressed:
            cisloauta += 1
            if cisloauta == pocetaut:
                cisloauta = 0

    screen.blit(bigcar, (20, 140))

    rotujem = pygame.transform.rotate(smallcar, uhel)
    obrRect = rotujem.get_rect()
    obrRect.centerx = 680 + smallcar.get_width() / 2 
    obrRect.centery = 180 + smallcar.get_height() / 2
    screen.blit(rotujem, obrRect)

    screen.blit(selectcar, (130, 10))
    screen.blit(fog, (20, 140))

    screen.blit(next, (630, 560))
    screen.blit(back, (0, 560))

    screen.blit(left, (220, 540))
    screen.blit(right, (580, 540))
    
    screen.blit(carname, (420 - FONT[30].size(nadpis)[0] / 2, 550))

def multiplay(pressed):

    global select
    global pocitadlo
        
    two = images.loadImage("./images/menu/two.png")

    if 490 >= soumys[0] >= 320 and 310 >= soumys[1] >= 270:
        two = images.loadImage("./images/menu/two1.png")
        if pressed:
            pocitadlo = -10
            select = MENU_TRACKMULTI
            
    screen.blit(two, (320, 270))

def trackmulti(pressed, dalsi, doleva, doprava):
    
    global select
    global pocitadlo
    global ukazmenu
    global cislotrate

    ukazmenu = 0

    trate = glob.glob("mapsinfo/*.map")
    pocettrati = len(trate)
    trate.sort()

    soubor = open(trate[cislotrate] ,"r")
    config.besttime = soubor.readline().strip()
    config.bestpl = soubor.readline().strip()
    config.bestcar = soubor.readline().strip()
    name = soubor.readline().strip()
    small = soubor.readline().strip()
    delka = soubor.readline().strip()
    map1 = soubor.readline().strip()
    map2 = soubor.readline().strip()
    map3 = soubor.readline().strip()
    p1x = soubor.readline().strip()
    p1y = soubor.readline().strip()
    p2x = soubor.readline().strip()
    p2y = soubor.readline().strip()
    pocetkol = soubor.readline().strip()

    config.okruhy = config.multikola
 
    nadpis = unicode(name, 'iso8859-2')
    barva = (250, 250, 0)
    trackname = FONT[30].render(nadpis, 1, barva)

    text = unicode(delka, 'iso8859-2')
    barva = (250, 250, 0)
    lenght = FONT[30].render(text, 1, barva)

    text2 = unicode(str(config.multikola), 'iso8859-2')
    barva = (250, 250, 0)
    laps = FONT[30].render(text2, 1, barva)

    selecttrack = images.loadImage("./images/menu/selecttrack.png")
    smallobr = images.loadImage(small)

    next = images.loadImage("./images/menu/next.png")
    back = images.loadImage("./images/menu/back.png")
    
    lapsb = images.loadImage("./images/menu/laps.png")
    lenghtb = images.loadImage("./images/menu/lenght.png")

    left = images.loadImage("./images/menu/arrowleft.png")
    right = images.loadImage("./images/menu/arrowright.png")

    dolni = pygame.transform.scale(images.loadImage(map2), (480, 360))
    horni = pygame.transform.scale(images.loadImage(map3), (480, 360))

    if dalsi or 800 >= soumys[0] >= 630 and 600 >= soumys[1] >= 560:
        next = images.loadImage("./images/menu/next1.png")
        if dalsi or pressed:
            config.map1 = map1
            config.map2 = map2
            config.map3 = map3
            config.p1x = int(p1x)
            config.p1y = int(p1y)
            config.p2x = int(p2x)
            config.p2y = int(p2y)
            select = MENU_AUTOMULTI

    if 170 >= soumys[0] >= 0 and 600 >= soumys[1] >= 560:
        back = images.loadImage("./images/menu/back1.png")
        if pressed:
            pocitadlo = 0
            select = MENU_MULTI

    if doleva or (260 >= soumys[0] >= 220 and 580 >= soumys[1] >= 540):
        left = images.loadImage("./images/menu/arrowleft1.png")
        if doleva or pressed:
            cislotrate -= 1
            if cislotrate == -1:
                cislotrate = pocettrati - 1
    if doprava or (620 >= soumys[0] >= 580 and 580 >= soumys[1] >= 540):
        right = images.loadImage("./images/menu/arrowright1.png")
        if doprava or pressed:
            cislotrate += 1
            if cislotrate == pocettrati:
                cislotrate = 0    

    screen.blit(selecttrack, (130, 10))
    screen.blit(smallobr, (550, 160))

    screen.blit(next, (630, 560))
    screen.blit(back, (0, 560))

    screen.blit(lapsb, (500, 330))
    screen.blit(lenghtb, (490, 400))

    screen.blit(left, (220, 540))
    screen.blit(right, (580, 540))

    screen.blit(dolni, (20, 100))
    screen.blit(horni, (20, 100))

    screen.blit(trackname, (420 - FONT[30].size(nadpis)[0] / 2, 550))
    screen.blit(laps, (660 - FONT[30].size(text2)[0] / 2, 335))
    screen.blit(lenght, (670 - FONT[30].size(text)[0] / 2, 405))

def carmulti(pressed, dalsi, doleva, doprava):
    
    global select
    global pocitadlo
    global ukazmenu
    global uhel
    global cisloauta
    global cisloauta2

    ukazmenu = 0

    auta = glob.glob("carsinfo/*.car")
    pocetaut = len(auta)
    auta.sort()

    soubor = open(auta[cisloauta] ,"r")
    name = soubor.readline().strip()
    small = soubor.readline().strip()
    big = soubor.readline().strip()
    stin = soubor.readline().strip()

    soubor2 = open(auta[cisloauta2] ,"r")
    name2 = soubor2.readline().strip()
    small2 = soubor2.readline().strip()
    big2 = soubor2.readline().strip()
    stin2 = soubor2.readline().strip()

    uhel += 3

    barva = (250, 250, 0)

    nadpis = unicode(name, 'iso8859-2') 
    carname = FONT[30].render(nadpis, 1, barva)

    nadpis2 = unicode(name2, 'iso8859-2') 
    carname2 = FONT[30].render(nadpis2, 1, barva)

    selectcar = images.loadImage("./images/menu/selectcar.png")
    
    smallcar = images.loadImage(small)
    bigcar = pygame.transform.scale(images.loadImage(big), (370, 240))
    
    smallcar2 = images.loadImage(small2)
    bigcar2 = pygame.transform.scale(images.loadImage(big2), (370, 240))

    fog = pygame.transform.scale(images.loadImage("./images/menu/fog.png"), (370, 240))

    next = images.loadImage("./images/menu/go.png")
    back = images.loadImage("./images/menu/back.png")

    left = images.loadImage("./images/menu/arrowleft.png")
    right = images.loadImage("./images/menu/arrowright.png")

    left2 = images.loadImage("./images/menu/arrowleft.png")
    right2 = images.loadImage("./images/menu/arrowright.png")

    if dalsi or 800 >= soumys[0] >= 630 and 600 >= soumys[1] >= 560:
        next = images.loadImage("./images/menu/go1.png")
        if dalsi or pressed:
            config.players = 2
            config.pl1car = small
            config.pl1stin = stin
            config.pl2car = small2
            config.pl2stin = stin2
            config.car = name
            pygame.mixer.stop()
            zavody.start()
            config.konec = 0
            config.zavkonec = 1
            config.time = 0
            select = MENU_HLAVNI
            pygame.mixer.music.load("./music/menu.ogg")
            if config.zvuky == 1:
                pygame.mixer.music.play(-1)
            menufull()

    if 170 >= soumys[0] >= 0 and 600 >= soumys[1] >= 560:
        back = images.loadImage("./images/menu/back1.png")
        if pressed:
            pocitadlo = 0
            select = MENU_TRACKMULTI

    if doleva or (70 >= soumys[0] >= 30 and 530 >= soumys[1] >= 490):
        left = images.loadImage("./images/menu/arrowleft1.png")
        if doleva or pressed:
            cisloauta -= 1
            if cisloauta == -1:
                cisloauta = pocetaut - 1
    if doprava or (410 >= soumys[0] >= 370 and 530 >= soumys[1] >= 490):
        right = images.loadImage("./images/menu/arrowright1.png")
        if doprava or pressed:
            cisloauta += 1
            if cisloauta == pocetaut:
                cisloauta = 0

    if doleva or (450 >= soumys[0] >= 410 and 530 >= soumys[1] >= 490):
        left2 = images.loadImage("./images/menu/arrowleft1.png")
        if doleva or pressed:
            cisloauta2 -= 1
            if cisloauta2 == -1:
                cisloauta2 = pocetaut - 1
    if doprava or (790 >= soumys[0] >= 750 and 530 >= soumys[1] >= 490):
        right2 = images.loadImage("./images/menu/arrowright1.png")
        if doprava or pressed:
            cisloauta2 += 1
            if cisloauta2 == pocetaut:
                cisloauta2 = 0


    screen.blit(bigcar, (20, 140))
    screen.blit(bigcar2, (400, 140))

    rotujem = pygame.transform.rotate(smallcar, uhel)
    obrRect = rotujem.get_rect()
    obrRect.centerx = 50 + smallcar.get_width() / 2 
    obrRect.centery = 410 + smallcar.get_height() / 2
    screen.blit(rotujem, obrRect)

    rotujem2 = pygame.transform.rotate(smallcar2, uhel)
    obrRect2 = rotujem2.get_rect()
    obrRect2.centerx = 430 + smallcar2.get_width() / 2 
    obrRect2.centery = 410 + smallcar2.get_height() / 2
    screen.blit(rotujem2, obrRect2)

    screen.blit(selectcar, (130, 10))
    screen.blit(fog, (20, 140))
    screen.blit(fog, (400, 140))

    screen.blit(next, (630, 560))
    screen.blit(back, (0, 560))

    screen.blit(left, (30, 490))
    screen.blit(right, (370, 490))

    screen.blit(left2, (410, 490))
    screen.blit(right2, (750, 490))
    
    screen.blit(carname, (220 - FONT[30].size(nadpis)[0] / 2, 500))
    screen.blit(carname2, (600 - FONT[30].size(nadpis2)[0] / 2, 500))

def nastaveni(pressed):

    global sound
    global full 
    
    music = images.loadImage("./images/menu/music.png")
    fullscreen = images.loadImage("./images/menu/fullscreen.png")
    resolution = images.loadImage("./images/menu/resolution.png")
    controls = images.loadImage("./images/menu/controls.png")
        
    if 490 >= soumys[0] >= 280 and 245 >= soumys[1] >= 205:
        music = images.loadImage("./images/menu/music1.png")
        if pressed:
            if config.zvuky == 0:
                sound = images.loadImage("./images/menu/on.png")       
                config.zvuky = 1
                pygame.mixer.music.play(-1)
                config.music = 1
            elif config.zvuky == 1:
                sound = images.loadImage("./images/menu/off.png")      
                config.zvuky = 0
                pygame.mixer.music.stop()
                config.music = 0
            config.writeConfig()
            
    if 490 >= soumys[0] >= 280 and 315 >= soumys[1] >= 275:
        fullscreen = images.loadImage("./images/menu/fullscreen1.png")
        if pressed:
            if config.full == 0:
                full = images.loadImage("./images/menu/on.png")        
                config.full = 1
                config.fullscreen = 1
            elif config.full == 1:
                full = images.loadImage("./images/menu/off.png")       
                config.full = 0
                config.fullscreen = 0
            menufull()
            config.writeConfig()

    if 490 >= soumys[0] >= 280 and 385 >= soumys[1] >= 345:
        resolution = images.loadImage("./images/menu/resolution1.png")
        if pressed:
            config.rozmer += 1
            if config.rozmer == len(config.xx):
                config.rozmer = 0
            config.writeConfig()


    screen.blit(sound, (450, 205))
    screen.blit(full, (450, 275))

    screen.blit(music, (280, 205))
    screen.blit(fullscreen, (280, 275))
    screen.blit(resolution, (280, 345))
    screen.blit(controls, (280, 405))

    roz = str(config.xx[config.rozmer]) + " x " + str(config.yy[config.rozmer])

    nadpis = unicode(roz, 'iso8859-2')
    barva = (250, 250, 0)
    rozliseni = FONT[30].render(nadpis, 1, barva)

    screen.blit(rozliseni, (535 - FONT[30].size(nadpis)[0] / 2, 355))


def stats(pressed):

    global pocitadlo
    global scoretrat

    trate = glob.glob("mapsinfo/*.map")
    pocettrati = len(trate)
    trate.sort()

    soubor = open(trate[scoretrat] ,"r")
    config.besttime = soubor.readline().strip()
    config.bestpl = soubor.readline().strip()
    config.bestcar = soubor.readline().strip()
    name = soubor.readline().strip()
    small = soubor.readline().strip()

    sekundy = int(config.besttime) // 10 % 60
    if sekundy <= 9:
        sekundy = "0" + str(sekundy)

    text3 = unicode(str(config.bestpl) + " [ " + config.bestcar + " ]    "+  str(int(config.besttime) / 600) + ":" + str(sekundy) + "." + str(int(config.besttime) % 10), 'iso8859-2')            
    barva = (250, 250, 0)
    best = FONT[30].render(text3, 1, barva)

    nadpis = unicode(name, 'iso8859-2')
    barva = (250, 250, 0)
    trackname = FONT[30].render(nadpis, 1, barva)

    left = images.loadImage("./images/menu/arrowleft.png")
    right = images.loadImage("./images/menu/arrowright.png")

    smallobr = images.loadImage(small)

    if doleva or (260 >= soumys[0] >= 220 and 580 >= soumys[1] >= 540):
        left = images.loadImage("./images/menu/arrowleft1.png")
        if doleva or pressed:
            pocitadlo = 0
            scoretrat -= 1
            if scoretrat == -1:
                scoretrat = pocettrati - 1
    if doprava or (620 >= soumys[0] >= 580 and 580 >= soumys[1] >= 540):
        right = images.loadImage("./images/menu/arrowright1.png")
        if doprava or pressed:
            pocitadlo = 0
            scoretrat += 1
            if scoretrat == pocettrati:
                scoretrat = 0    

    screen.blit(smallobr, (350, 260))

    screen.blit(left, (220, 540))
    screen.blit(right, (580, 540))

    screen.blit(best, (220, 487))
    screen.blit(trackname, (420 - FONT[30].size(nadpis)[0] / 2, 550))

def autori(pressed):

    autori = images.loadImage("./images/menu/autori.png")

    screen.blit(autori, (180, 180))

def konec(pressed):
    sys.exit()

#-----------------------------------------------------------------
cisloauta = 5
cisloauta2 = 4
cislotrate = 0
scoretrat = 0

ukazmenu = 1

uhel = 0

pygame.mixer.music.load("./music/menu.ogg")

pygame.display.set_caption('Wrong Way')
icona = images.loadImage("./images/menu/menu2.png")
pygame.display.set_icon(icona)

menufull()

if config.zvuky == 1:
    sound = images.loadImage("./images/menu/on.png")       
    pygame.mixer.music.play(-1)
    config.music = 1
elif config.zvuky == 0:
    sound = images.loadImage("./images/menu/off.png")      
    pygame.mixer.music.stop()
    config.music = 0

if config.full == 1:
    full = images.loadImage("./images/menu/on.png")        
    config.full = 1
    config.fullscreen = 1
elif config.full == 0:
    full = images.loadImage("./images/menu/off.png")       
    config.full = 0
    config.fullscreen = 0

select = MENU_HLAVNI

hodiny = pygame.time.Clock()
keys = pygame.key.get_pressed()

pocitadlo = 0

menu1_obr = images.loadImage("./images/menu/menu1.png")

while 1:
    
    if pocitadlo >= 0:
        pocitadlo += 1

    pressed = False
    doleva = False
    doprava = False
    dalsi = False
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            sys.exit()
        elif event.type == pygame.KEYDOWN:
            if event.key == pygame.K_ESCAPE:
                if select == MENU_TRACK:
                    select = MENU_SINGLE
                elif select == MENU_AUTO:
                    select = MENU_TRACK
                elif select == MENU_TRACKMULTI:
                    select = MENU_MULTI
                elif select == MENU_AUTOMULTI:
                    select = MENU_TRACKMULTI
                else:
                    sys.exit() 
            elif event.key == pygame.K_RETURN:
                dalsi = True
            elif event.key == pygame.K_LEFT:
                doleva = True
            elif event.key == pygame.K_RIGHT:
                doprava = True
                                         
        elif event.type == pygame.MOUSEBUTTONDOWN:
            pressed = True
    
    hodiny.tick(10)
    ticks = pygame.time.get_ticks()
    soumys = pygame.mouse.get_pos()
    
    obr()

    screen.fill((0, 0, 0))

    if ukazmenu == 1:
        kreslimenu(pressed)
    ukazmenu = 1

    if select == MENU_HLAVNI:
        hlavni(pressed)
    elif select == MENU_SINGLE:
        new(pressed)
    elif select == MENU_MULTI:
        multiplay(pressed)
    elif select == MENU_OPTIONS:
        nastaveni(pressed)
    elif select == MENU_SCORE:
        stats(pressed)
    elif select == MENU_CREDITS:
        autori(pressed)
    elif select == MENU_EXIT:
        konec(pressed)
    elif select == MENU_AUTO:
        car(pressed, dalsi, doleva, doprava)
    elif select == MENU_TRACK:
        track(pressed, dalsi, doleva, doprava)
    elif select == MENU_AUTOMULTI:
        carmulti(pressed, dalsi, doleva, doprava)
    elif select == MENU_TRACKMULTI:
        trackmulti(pressed, dalsi, doleva, doprava)

    pygame.display.flip()  
